Name:		poezio
Version:	0.6.2
Release:	4%{?dist}
Summary:	IRC-like jabber (XMPP) console client

Group:		Applications/Internet
License:	GPLv3
URL:		http://poezio.eu
Source0:	http://codingteam.net/project/%{name}/download/file/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildarch:	noarch

BuildRequires:	python2-devel

Requires:	python-xmpp >= 0.5.0

%description
A jabber (XMPP) console client that aims at being similar to popular IRC
clients such as Irssi or Weechat. Its main goal is to let the user
connect to the Jabber network and join chat rooms without requiring any
registration.

%prep
%setup -q


%build
# Nothing needs to be compiled, python only software
%{nil}


%install
rm -rf %{buildroot}
# create directories
mkdir -p %{buildroot}%{_datadir}/%{name}/data
mkdir -p %{buildroot}%{_datadir}/%{name}/src
mkdir -p %{buildroot}%{_bindir}

# install data files
install -p -m644 data/* %{buildroot}%{_datadir}/%{name}/data/

# install sources files
install -p -m644 src/*.py %{buildroot}%{_datadir}/%{name}/src/

# remove shebangs in non-executable files
# will be fixed upstream in next release
# http://codingteam.net/project/poezio/bugs/show/1669
for lib in %{buildroot}%{_datadir}/%{name}/src/*.py; do
    sed '/^\#\!\/usr\/bin\//d' $lib > $lib.new &&
    touch -r $lib $lib.new
    mv $lib.new $lib
done

# create launcher
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/usr/bin/env sh
cd %{_datadir}/poezio/src/ && python poezio.py
EOF

chmod 755 %{buildroot}%{_bindir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 0.6.2-3
- Some minor changes to the .spec file from the Review Request on rhbz

* Sat Jul 24 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 0.6.2-2
- Add python2-devel to BuildRequires

* Fri Jul 23 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 0.6.2-1
- Update sources to 0.6.2

* Sat Jun 19 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 0.6.1-1
- Spec file written from scratch
